#!/bin/bash

APP="${PRODUCTNAME}"
PLUGIN="${PRODUCTNAME}"
BUILDDIR="build"
VERSIONNUM="${APP_VERSION}"
VERSIONSUFFIX="${APP_VERSION}"
 
if ! [ -e dist ];
then
	mkdir dist 
fi

if ! [ -e "dist/${PLUGIN}" ];
then
	mkdir "dist/${PLUGIN}" 
fi

if [ -e "${BUILDDIR}/Release/${APP}.app" ];
then
	rm -rf "dist/${PLUGIN}/${APP}"
	mkdir "dist/${PLUGIN}/${APP}"
	cp -Rf "${BUILDDIR}/Release/${APP}.app" "dist/${PLUGIN}/${APP}"
	#cp -fr "${APP} Manual.pdf" "dist/${PLUGIN}/${APP}"

	cd dist/${PLUGIN}

	if [ -e "${PLUGIN}${VERSIONSUFFIX}.zip" ];
	then
	 rm "${PLUGIN}${VERSIONSUFFIX}.zip"
	fi
	zip -rq --symlinks "${PLUGIN}${VERSIONSUFFIX}.zip" "${APP}"
fi

